Bug Hunting Session
Bug 125525 - Pressing F5 after selecting a transition on sidebar doesn't start slideshow
Summary: Pressing F5 after selecting a transition on sidebar doesn't start slideshow
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.1.0.3 release
Hardware: All All
: medium minor
Assignee: Jim Raykowski
URL:
Whiteboard: target:6.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Sidebar-Slide-Transition Slide-Show
  Show dependency treegraph
 
Reported: 2019-05-27 14:11 UTC by Aron Budea
Modified: 2019-06-05 15:04 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2019-05-27 14:11:36 UTC
- In a presentation, select a transition on the Slide Transition sidebar pane.
- Wait until it finished, then press F5.

=> Nothing happens, you have to first click back into the window for F5 to run slideshow again.

Occurs with LO 6.3.0.0.alpha1+ (38ac0586448d4f07811b139f62f62686b029feba), 6.1.0.3 / Ubuntu 18.04.
No issue with LO 6.0.0.3.
=> regression

Bibisected to the following commit using repo bibisect-linux-64-6.1. Adding Cc: to Jim Raykowski, please take a look sometimes.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=bcfc348663b04834fe8e6d6315f647be1595469a
author		Jim Raykowski <raykowj@gmail.com>	2018-02-04 14:12:32 -0900
committer	Samuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>	2018-02-05 10:40:59 +0100

tdf#115434 Fix key press misbehaviors in sidebar
Comment 1 Jim Raykowski 2019-05-27 20:52:51 UTC
I confirm.
Comment 2 Commit Notification 2019-05-28 06:06:19 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d0d9acc7c6095e0bc640e073b9d8e2e19aaa8993%5E%21

tdf#125525 Allow shortcut keys from sidebar docking window

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2019-06-05 15:04:56 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 0d6ec494f83fb26524bf3a5fc7af27c225293e87
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Jim Raykowski, thanks for fixing this issue!!